Get 30% Discount on Business Pack Order here Click Here
Ku rakib a click on the icon in the top right of the address bar.

Bogagga xaaladda

GET https://uptimer24.com/api/status-pages/
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
Halbeegyada Faahfaahin Sharaxaad
search Ikhtiyaari Xadhig Xadhigga raadinta.
search_by Ikhtiyaari Xadhig Waa maxay goobta aad ka baareyso. Qiimayaasha la oggol yahay waa: name.
is_enabled Ikhtiyaari Boolean
project_id Ikhtiyaari Tiro buuxda
domain_id Ikhtiyaari Tiro buuxda
datetime_field Ikhtiyaari Xadhig Qiimayaasha la oggol yahay: datetime, last_datetime
datetime_start Ikhtiyaari Xadhig Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Ikhtiyaari Xadhig Filter results up to this datetime. Y-m-d H:i:s format.
order_by Ikhtiyaari Xadhig Waa maxay goobta lagu kala dalbanayo natiijooyinka. Qiimayaasha la oggol yahay waa: status_page_id, datetime, last_datetime, name, pageviews.
order_type Ikhtiyaari Xadhig Kala-sarraynta natiijooyinka. Qiimayaasha la oggol yahay waa: ASC oo ah kala-sarrayn kor u socda, iyo DESC oo ah kala-sarrayn hoos u socda.
page Ikhtiyaari Tiro buuxda Lambarka bogga ee aad rabto natiijooyinka ka soo baxa. Asal ahaan waa 1.
results_per_page Ikhtiyaari Tiro buuxda Imisa natiijo ayaad rabtaa bog kasta. Qiimayaasha la oggol yahay waa: 10, 25, 50, 100, 250, 500, 1000. Waxay asal ahaan u dhigantaa 25.
{
    "data": [
        {
            "id": 1,
            "domain_id": 0,
            "monitors_ids": [1,2,3],
            "project_id": 0,
            "url": "example",
            "full_url": "https://uptimer24.com/s/example/",
            "name": "Example",
            "description": "This is just a simple description for the example status page 👋.",
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "twitter": "example",
                "email": "",
                "website": "https://example.com/"
            },
            "logo_url": "",
            "favicon_url": ""
            "password": false,
            "timezone": "UTC",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-07-19 04:06:08",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/status-pages?page=1",
        "last": "https://uptimer24.com/api/status-pages?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/status-pages?page=1"
    }
}
GET https://uptimer24.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptimer24.com/s/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "socials": {
            "facebook": "example",
            "instagram": "example",
            "twitter": "example",
            "email": "",
            "website": "https://example.com/"
        },
        "logo_url": "",
        "favicon_url": ""
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-07-19 04:06:08",
    }
}